---
name: Bug
about: Report a bug
title: ''
assignees: ''
---

<!--
  ⚠️ WARNING

  Half of all issues created do not contain enough information to help or are
  not appropriate for the issue tracker (i.e. one-line questions). If you think
  you found a bug, follow the steps outlined below closely. Any issue that does
  not meet these conditions may be closed unnoticed.

  Why? Because the maintainers of this project are wasting a lot of time
  answering questions that are not directly related to this project. If you
  have a question, please ask your question over in "Discussions", so other
  users can help you work towards a solution.

  Make sure that your request fulfills ALL of the following requirements. If one
  requirement cannot be satisfied, please explain in detail why.
-->

- [ ] I've read the [contribution guidelines][1] and agree with them

__I've found a bug and checked that ...__

- [ ] ... the problem doesn't occur with the default MkDocs template
- [ ] ... the problem is not in any of my customizations (CSS, JS, template)
- [ ] ... the documentation does not mention anything about my problem
- [ ] ... there are no open or closed issues that are related to my problem

## Description

<!-- Please provide a brief description of the bug -->

### Expected behavior

<!-- Please describe what you expect to happen -->

### Actual behavior

<!-- Please describe what is actually happening -->

### Steps to reproduce the bug

<!-- Please provide the steps to reproduce the issue -->

1. ...
2. ...
3. ...

### Package versions

<!-- Please provide all package versions -->

* Python: `python --version`
* MkDocs: `mkdocs --version`
* Material: `pip show mkdocs-material | grep -E ^Version`

### Project configuration

<!-- Please provide your mkdocs.yml to a reasonable amount of detail -->

``` yaml
The contents of your mkdocs.yml
```

### System information

<!-- Please provide your operating system and browser version -->

* OS: ...
* Browser: ...

  [1]: https://github.com/squidfunk/mkdocs-material/blob/master/CONTRIBUTING.md
